public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matthew Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/memcached/
Date: Sat, 31 Aug 2019 05:27:05 +0000 (UTC)	[thread overview]
Message-ID: <1567229221.8d623b37d9f1c6153e2259982849a9887f0610f3.prometheanfire@gentoo> (raw)

commit:     8d623b37d9f1c6153e2259982849a9887f0610f3
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 31 05:26:44 2019 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Sat Aug 31 05:27:01 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8d623b37

net-misc/memcached: 1.5.17 bump

Package-Manager: Portage-2.3.69, Repoman-2.3.17
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 net-misc/memcached/Manifest                |  1 +
 net-misc/memcached/memcached-1.5.17.ebuild | 95 ++++++++++++++++++++++++++++++
 2 files changed, 96 insertions(+)

diff --git a/net-misc/memcached/Manifest b/net-misc/memcached/Manifest
index 4d5089de04a..56307b64b5e 100644
--- a/net-misc/memcached/Manifest
+++ b/net-misc/memcached/Manifest
@@ -1,2 +1,3 @@
 DIST memcached-1.5.14.tar.gz 485076 BLAKE2B 729b4b708e921184bfedadbb02b0304eb09dcebbbd1420605deb608dcd7dea25a8982ca0f387f237a1a6412b4682372018c593396ef9bff5aa0fa901c0fdafd6 SHA512 d06083d971d0a40195b4dfb252a3bf7c3a0d20b2dcad56726ff9e0b87ba84024309300516dad40181f1b7af4d9c4f35924383977c5e1ff9b5f13d2ef05f684ed
 DIST memcached-1.5.16.tar.gz 487868 BLAKE2B b9889866b8adbbbf23785f0da35f6f6b3cd5c842c6167beab3dd5385d6ed53e4607a2ffc18cd815005f2a1d67a3a549c780411b93d34335c541f4999d793b8a0 SHA512 999872c4c68e0210feab76f74c9487fbfb652cf3e6b7fa347f882767aad41ea6d8ba3ee056494409c054d673fc209032d8a890605810b2c6c9048d26d50751a0
+DIST memcached-1.5.17.tar.gz 490891 BLAKE2B a971083ec29452755de953537ff9c23fc872496d4746420c9c20e91c226481bd3818c00495cb7a5d85f2bd38683061e57a9e92cbfe0e4cd28bcafde37f05cabf SHA512 533c916015d738ff4c7ba8420654ae15b19370b3e959b89d43bc60cae1bda65d36906be05fad44a025ea1878570a8c1a36041c4e4c0cdf0cea84e6bb0e7ba325

diff --git a/net-misc/memcached/memcached-1.5.17.ebuild b/net-misc/memcached/memcached-1.5.17.ebuild
new file mode 100644
index 00000000000..8d046a22030
--- /dev/null
+++ b/net-misc/memcached/memcached-1.5.17.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools eutils flag-o-matic systemd user
+
+MY_PV="${PV/_rc/-rc}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="High-performance, distributed memory object caching system"
+HOMEPAGE="http://memcached.org/"
+SRC_URI="https://www.memcached.org/files/${MY_P}.tar.gz
+	https://www.memcached.org/files/old/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="debug sasl seccomp selinux slabs-reassign test" # hugetlbfs later
+
+RDEPEND=">=dev-libs/libevent-1.4:=
+	dev-lang/perl
+	sasl? ( dev-libs/cyrus-sasl )
+	seccomp? ( sys-libs/libseccomp )
+	selinux? ( sec-policy/selinux-memcached )"
+DEPEND="${RDEPEND}
+		test? ( virtual/perl-Test-Harness >=dev-perl/Cache-Memcached-1.24 )"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+	epatch "${FILESDIR}/${PN}-1.2.2-fbsd.patch"
+	epatch "${FILESDIR}/${PN}-1.4.0-fix-as-needed-linking.patch"
+	epatch "${FILESDIR}/${PN}-1.4.4-as-needed.patch"
+	epatch "${FILESDIR}/${PN}-1.4.17-EWOULDBLOCK.patch"
+	sed -i -e 's,-Werror,,g' configure.ac || die
+	sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,' configure.ac || die
+	eautoreconf
+	use slabs-reassign && append-flags -DALLOW_SLABS_REASSIGN
+
+	# Tweak upstream systemd unit to use Gentoo variables/envfile.
+	# As noted by bug #587440
+	sed -i -e '/^ExecStart/{
+			s,{USER},{MEMCACHED_RUNAS},g;
+			s,{CACHESIZE},{MEMUSAGE},g;
+			s,OPTIONS,MISC_OPTS,g;
+		};
+		/Environment=/{s,OPTIONS,MISC_OPTS,g;};
+		/EnvironmentFile=/{s,/sysconfig/,/conf.d/,g;};
+		' \
+		"${S}"/scripts/memcached.service
+	default
+}
+
+src_configure() {
+	econf \
+		--disable-docs \
+		$(use_enable sasl)
+	# The xml2rfc tool to build the additional docs requires TCL :-(
+	# `use_enable doc docs`
+}
+
+src_compile() {
+	# There is a heavy degree of per-object compile flags
+	# Users do NOT know better than upstream. Trying to compile the testapp and
+	# the -debug version with -DNDEBUG _WILL_ fail.
+	append-flags -UNDEBUG -pthread
+	emake testapp memcached-debug CFLAGS="${CFLAGS}"
+	filter-flags -UNDEBUG
+	emake
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+	dobin scripts/memcached-tool
+	use debug && dobin memcached-debug
+
+	dodoc AUTHORS ChangeLog NEWS README.md doc/{CONTRIBUTORS,*.txt}
+
+	newconfd "${FILESDIR}/memcached.confd" memcached
+	newinitd "${FILESDIR}/memcached.init2" memcached
+	systemd_dounit "${S}/scripts/memcached.service"
+}
+
+pkg_postinst() {
+	enewuser memcached -1 -1 /dev/null daemon
+
+	elog "With this version of Memcached Gentoo now supports multiple instances."
+	elog "To enable this you should create a symlink in /etc/init.d/ for each instance"
+	elog "to /etc/init.d/memcached and create the matching conf files in /etc/conf.d/"
+	elog "Please see Gentoo bug #122246 for more info"
+}
+
+src_test() {
+	emake -j1 test
+}


             reply	other threads:[~2019-08-31  5:27 UTC|newest]

Thread overview: 185+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-08-31  5:27 Matthew Thode [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-12 23:35 [gentoo-commits] repo/gentoo:master commit in: net-misc/memcached/ Sam James
2024-07-06 19:02 Matthew Thode
2024-06-06 19:46 Matthew Thode
2024-06-03 17:00 Matthew Thode
2024-05-20 18:01 Matthew Thode
2024-05-10 19:11 Matthew Thode
2024-04-28 15:01 Matthew Thode
2024-04-28 15:01 Matthew Thode
2024-04-28 15:01 Matthew Thode
2024-04-28 15:01 Matthew Thode
2024-04-20 14:26 Matthew Thode
2024-03-28 22:11 Matthew Thode
2024-03-28 22:11 Matthew Thode
2024-03-20 16:10 Matthew Thode
2024-02-28 18:23 Matthew Thode
2024-01-11  0:52 Matthew Thode
2023-12-17 19:19 Matthew Thode
2023-10-17 19:56 Matthew Thode
2023-07-16 15:54 Matthew Thode
2023-06-17  5:42 Sam James
2023-06-16 18:16 Matthew Thode
2023-05-13 20:51 Matthew Thode
2023-05-10 20:24 Matthew Thode
2023-04-10 16:06 Matthew Thode
2023-03-12 22:29 Matthew Thode
2023-03-10 19:24 Matthew Thode
2023-01-12 20:35 Matthew Thode
2022-10-27 17:50 Matthew Thode
2022-10-03  4:33 Matthew Thode
2022-09-28  1:02 Matthew Thode
2022-09-04 13:55 Yixun Lan
2022-09-02 15:13 Matthew Thode
2022-08-27 14:36 Matthew Thode
2022-08-04 14:47 Matthew Thode
2022-05-08 15:00 WANG Xuerui
2022-04-03  3:36 Matthew Thode
2022-03-11 16:13 Matthew Thode
2022-03-11 15:52 Matthew Thode
2022-03-11 15:16 Matthew Thode
2022-02-11 17:44 Matthew Thode
2022-01-15 17:54 Matthew Thode
2021-11-12  6:29 Hans de Graaff
2021-09-29  0:23 Matthew Thode
2021-09-29  0:20 Matthew Thode
2021-09-26 17:22 Matthew Thode
2021-08-26 14:07 Matthew Thode
2021-07-26 15:19 Matthew Thode
2021-01-24 16:38 David Seifert
2021-01-24 15:42 Sam James
2021-01-11 17:34 Sergei Trofimovich
2021-01-07 13:12 Sam James
2021-01-07 10:27 Sam James
2021-01-07 10:09 Sam James
2021-01-07  3:09 Sam James
2021-01-06 15:06 Fabian Groffen
2020-12-27  6:27 Matthew Thode
2020-12-21 21:18 Matthew Thode
2020-11-27 18:44 Matthew Thode
2020-11-21  6:04 Matthew Thode
2020-10-27 21:55 Matthew Thode
2020-10-05 14:06 Matthew Thode
2020-09-05 19:21 Matthew Thode
2020-07-21 19:17 Kent Fredric
2020-05-14  7:34 Sergei Trofimovich
2020-05-14  6:52 Matthew Thode
2020-05-13 21:32 Matthew Thode
2020-04-14  5:34 Matthew Thode
2020-04-13 15:05 Matthew Thode
2020-03-29  1:36 Matthew Thode
2020-03-25 21:22 Thomas Deutschmann
2020-03-24 19:47 Robin H. Johnson
2020-03-23 19:26 Robin H. Johnson
2020-03-17 14:33 Matthew Thode
2020-03-17  6:35 Matthew Thode
2020-03-12 23:05 Mart Raudsepp
2020-03-09  0:33 Robin H. Johnson
2020-03-05  9:27 Agostino Sarubbo
2020-03-05  9:26 Agostino Sarubbo
2020-03-05  9:24 Agostino Sarubbo
2020-03-05  9:23 Agostino Sarubbo
2020-03-05  8:31 Agostino Sarubbo
2020-03-05  8:21 Agostino Sarubbo
2020-03-04 16:29 Matthew Thode
2020-02-22 21:39 Matthew Thode
2020-02-22 21:39 Matthew Thode
2020-02-03 16:36 Matthew Thode
2020-01-23  1:39 Matthew Thode
2020-01-22 16:56 Matthew Thode
2019-12-12 22:39 Matthew Thode
2019-11-15 13:20 Mikle Kolyada
2019-11-12 19:53 Matthew Thode
2019-10-18 16:03 Matthew Thode
2019-10-01 15:07 Matthew Thode
2019-09-30 14:36 Matthew Thode
2019-09-18 16:16 Matthew Thode
2019-06-24  0:15 Matthew Thode
2019-06-06 15:36 Matthew Thode
2019-06-06 14:45 Matthew Thode
2019-06-06  6:46 Agostino Sarubbo
2019-05-25 15:08 Matthew Thode
2019-05-25  8:18 Mikle Kolyada
2019-05-24 22:50 Sergei Trofimovich
2019-05-22  7:36 Sergei Trofimovich
2019-05-21 13:29 Matthew Thode
2019-05-14  8:08 Sergei Trofimovich
2019-05-13 16:02 Matthew Thode
2019-04-29 23:20 Matthew Thode
2019-04-23  0:13 Aaron Bauman
2019-04-16  8:10 Matthew Thode
2018-12-28 20:51 Mikle Kolyada
2018-11-28 16:05 Tobias Klausmann
2018-11-19  7:19 Mikle Kolyada
2018-11-18 16:01 Sergei Trofimovich
2018-11-18 10:52 Sergei Trofimovich
2018-11-18 10:38 Sergei Trofimovich
2018-11-12  1:14 Thomas Deutschmann
2018-11-09 17:50 Mikle Kolyada
2018-11-08 22:59 Sergei Trofimovich
2018-11-04 16:59 Matthew Thode
2018-10-10 22:48 Matthew Thode
2018-09-08 23:51 Matt Thode
2018-09-08 23:51 Matt Thode
2018-08-11  6:02 Matt Thode
2018-08-06 16:20 Matt Thode
2018-07-09 19:49 Matt Thode
2018-05-27 17:06 Matt Thode
2018-03-29  3:40 Matt Thode
2018-03-13 18:14 Jeroen Roovers
2018-02-28 10:59 Matt Thode
2018-02-14  3:17 Matt Thode
2018-02-14  3:17 Matt Thode
2018-01-28 18:23 Tobias Klausmann
2018-01-27 22:31 Sergei Trofimovich
2018-01-27 22:31 Sergei Trofimovich
2018-01-17 18:01 Markus Meier
2017-12-22  1:56 Matt Thode
2017-11-12 15:42 Matt Thode
2017-11-10  9:45 Sergei Trofimovich
2017-11-05 21:29 Thomas Deutschmann
2017-11-05  4:55 Matt Thode
2017-11-03 12:07 Manuel Rüger
2017-11-02 20:19 Sergei Trofimovich
2017-10-07 18:32 Matt Thode
2017-10-03  1:49 Matt Thode
2017-08-26  8:24 Matt Thode
2017-08-25 19:57 Matt Thode
2017-08-18 19:43 Thomas Deutschmann
2017-08-08 20:41 Markus Meier
2017-07-31 11:36 Tobias Klausmann
2017-07-30 16:33 Sergei Trofimovich
2017-07-27 21:13 Sergei Trofimovich
2017-07-23  1:35 Matt Thode
2017-07-05 21:57 Matt Thode
2017-06-26  4:00 Matt Thode
2017-06-05 16:09 Matt Thode
2017-04-28 17:00 Matt Thode
2017-03-22 17:11 Matt Thode
2017-02-27  6:47 Matt Thode
2017-01-08 22:49 Matt Thode
2016-12-20 15:36 Matt Thode
2016-11-30 19:38 Markus Meier
2016-11-14 15:09 Tobias Klausmann
2016-11-08  0:47 Robin H. Johnson
2016-11-06  6:59 Patrick Lauer
2016-11-06  1:21 Robin H. Johnson
2016-11-04 13:21 Jeroen Roovers
2016-11-04  8:24 Agostino Sarubbo
2016-11-04  8:21 Agostino Sarubbo
2016-11-01 14:29 Matt Thode
2016-10-14 23:36 Matt Thode
2016-10-01 14:55 Jeroen Roovers
2016-09-06  8:44 Tobias Klausmann
2016-08-20 16:47 Matt Thode
2016-08-12 16:59 Matt Thode
2016-08-06 11:08 Markus Meier
2016-07-14 18:24 Matt Thode
2016-06-27  2:54 Matt Thode
2016-06-19  1:47 Matt Thode
2016-05-30 12:51 Tobias Klausmann
2016-04-03 19:03 Markus Meier
2016-03-26 16:39 Agostino Sarubbo
2016-02-28  7:25 Matt Thode
2016-02-23 19:56 Matt Thode
2015-09-01 19:55 Tobias Klausmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1567229221.8d623b37d9f1c6153e2259982849a9887f0610f3.prometheanfire@gentoo \
    --to=prometheanfire@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox